# VScrollProperties

Namespace: **Wisej.Web**

Assembly: **Wisej.Framework** (4.0.0.0)

* [ScrollProperties](/api/wisej.web/content/scrollbar/wisej.web.scrollproperties.md)
  * [VScrollProperties](/api/wisej.web/content/scrollbar/wisej.web.vscrollproperties.md)

Provides basic properties for the [VScrollBar](/api/wisej.web/content/scrollbar/wisej.web.vscrollbar.md) class.

{% tabs %}
{% tab title="C#" %}

```csharp
public class VScrollProperties : ScrollProperties
```

{% endtab %}

{% tab title="VB.NET" %}

```visual-basic
Public Class VScrollProperties
    Inherits ScrollProperties
```

{% endtab %}
{% endtabs %}

## Constructors

### ![](/files/hsR4ok3152WyAf8J2C1u) VScrollProperties(owner)

Initializes a new instance of the [VScrollProperties](/api/wisej.web/content/scrollbar/wisej.web.vscrollproperties.md) class.

| Name      | Type                                         | Description                                                                  |
| --------- | -------------------------------------------- | ---------------------------------------------------------------------------- |
| **owner** | [Control](/api/wisej.web/general/control.md) | A [Control](/api/wisej.web/general/control.md) that contains the scroll bar. |

## Properties

### ![](/files/hsR4ok3152WyAf8J2C1u) Orientation

[ScrollOrientation](/api/wisej.web/enumerations/wisej.web.scrollorientation.md): Returns the orientation of the scrollbar. (Default: `False`)

### ![](/files/hsR4ok3152WyAf8J2C1u) Visible

[Boolean](https://docs.microsoft.com/dotnet/api/system.boolean): Returns whether the scroll bar is visible. (Default: `False`)


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.wisej.com/api/wisej.web/content/scrollbar/wisej.web.vscrollproperties.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
